[rspec-users] undefined method `run_all' for []:Array

Doug Livesey lists at ruby-forum.com
Thu Feb 7 08:09:28 UTC 2013


David Chelimsky wrote in post #971870:
> On Sun, Jan 2, 2011 at 5:42 AM, Kristian Mandrup <kmandrup at gmail.com>
> wrote:
>> I'm using the latest ruby 1.9.3-head and recently whenever I run rspec
>> (2.2+) I get the following error:
>>
>> I have seen others have run into this issue, but to resolve it just
>> rolled back to a previous version of rspec or it there a better way?
>
> Better is to wait to upgrade to the next version of rspec that fixes the
> bug:
>
> https://github.com/rspec/rspec-core/issues/closed#issue/258
>
> To be released as part of rspec-core-2.4 within the next day or so.
>
> Cheers,
> David

I guess this isn't fixed? I'm having the same error, and the version of 
rspec that installs is 2.0.1
Unless I'm missing something obvious?

-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list